package pathgame.gameplay;

import java.util.LinkedList;

public class LastPlayerMinusSteps
{

    private LinkedList<MinusStepsValues> minusEnergy = new LinkedList<>();

    public void addMinus(MinusStepsValues minusEnergy)
    {
        this.minusEnergy.add(minusEnergy);
    }

    public void addMinus(int minusValue, float x, float y)
    {
        MinusStepsValues values = new MinusStepsValues(minusValue);
        addMinus(values);
    }

    public LinkedList<MinusStepsValues> getLastPlayerSteps()
    {

        if(minusEnergy.size() > 0 && minusEnergy.getFirst().getLifeTime() <= 0)
        {
            minusEnergy.removeFirst();
        }
        return minusEnergy;
    }

}
