package pathgame.gameplay;

public class MinusStepsValues
{

    private int minusValue;
    private float diffY = 0;
    private float lastDiffY = 0;
    private float lifeTime;

    MinusStepsValues(int minusValue)
    {
        this.minusValue = minusValue;
        lifeTime = 3;
    }

    public int getMinusValue()
    {
        return minusValue;
    }

    public float getLifeTime()
    {
        return lifeTime;
    }

    public float getDiffY()
    {
        return diffY;
    }

    public float getLastDiffY()
    {
        return lastDiffY;
    }

    public void updateMinusValues()
    {
        lastDiffY = diffY;
        lifeTime -= 0.07f;
        diffY += 0.16f;
    }
}
